<p align="center">
  <img width="200" src="https://raw.githubusercontent.com/firefly-cpp/sport-activities-features-gui/main/.github/logo/sport_activities.png">
</p>

---

# sport-activities-features-gui

---

[![PyPI Version](https://img.shields.io/pypi/v/sport-activities-features-gui.svg)](https://pypi.python.org/pypi/sport-activities-features-gui)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/sport-activities-features-gui.svg)
![PyPI - Downloads](https://img.shields.io/pypi/dm/sport-activities-features-gui.svg)
[![Downloads](https://pepy.tech/badge/sport-activities-features-gui)](https://pepy.tech/project/sport-activities-features-gui)
![GitHub repo size](https://img.shields.io/github/repo-size/firefly-cpp/sport-activities-features-gui?style=flat-square)
[![GitHub license](https://img.shields.io/github/license/firefly-cpp/sport-activities-features-gui.svg)](https://github.com/firefly-cpp/sport-activities-features-gui/blob/master/LICENSE)
![GitHub commit activity](https://img.shields.io/github/commit-activity/w/firefly-cpp/sport-activities-features-gui.svg)
[![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/firefly-cpp/sport-activities-features-gui.svg)](http://isitmaintained.com/project/firefly-cpp/sport-activities-features-gui "Average time to resolve an issue")
[![Percentage of issues still open](http://isitmaintained.com/badge/open/firefly-cpp/sport-activities-features-gui.svg)](http://isitmaintained.com/project/firefly-cpp/sport-activities-features-gui "Percentage of issues still open")

## About 📋
A simple GUI application that uses the library sports-activities-features to import sports activity files (TCX) and makes it easy to view and transform the data in a GUI environment. 🖥️🔄

## Key features ✨
- Improved bulk importing of tcx files 📁
- Exporting data to different formats 💾
- Data transformations 🔄
- Calendar view of active days 📅
- Individual user profiles 👤

## Installation 📦
### pip
Install sport-activities-features with pip:

```sh
pip install sport-activities-features-gui
```

## Screenshots 📸
<p float="left">
  <img src="./screenshots/Screenshot_1.jpg" alt="Profiles window" width="200"/>
  <img src="./screenshots/Screenshot_2.jpg" alt="Import tab" width="350"/>
  <img src="./screenshots/Screenshot_3.jpg" alt="Graphs tab" width="350"/>
  <img src="./screenshots/Screenshot_4.jpg" alt="Calendar tab" width="350"/>
  <img src="./screenshots/Screenshot_5.jpg" alt="Transformations tab" width="350"/>
</p>

## Development 🛠️
### Prerequisites
  - [Python 3.10](https://www.python.org/downloads/)
  - [Poetry](https://python-poetry.org/docs/#installation)

### Installation
1. Clone [this](https://github.com/firefly-cpp/sport-activities-features-gui) repository from GitHub.
2. Create a virtual environment and install the dependencies using poetry:
    ```bash
    poetry install
    ```
3. Run the `main.py` file
    1. Script path: `<project_folder>/sport-activities-features-gui/main.py`
    2. Working directory: `<project_folder>/sport-activities-features-gui/`

## License

This package is distributed under the MIT License. This license can be found online at <http://www.opensource.org/licenses/MIT>.

## Disclaimer

This framework is provided as-is, and there are no guarantees that it fits your purposes or that it is bug-free. Use it at your own risk!
